Google AdSense

Pôr do sol Edição
Esta atualização do plug-in é a última versão lançada publicamente. Nós não esperar para fazer quaisquer alterações graves ou adicionar novas funcionalidades a ele a partir de agora.

Podemos não ser sempre capaz de fornecer apoio rápido para este plugin nos fóruns WordPress.org. Se você gostaria de ter apoio profissional ou recursos extras / Custom, considerar a compra do Versão Ultra

Anúncios EZ Plugin para Google AdSense fornece uma interface simplificada para implantar anúncios do Google em seu blog. Você pode personalizar as cores, tamanhos e colocação dos blocos de anúncios e ativá-los desde a interface do plugin interface.The administrador usa uma interface altamente funcional e moderno com base no quadro de inicialização do twitter com generosa, ajuda sensível ao contexto em cada opção única.

Live Demo

Google AdSense admin interface is feature-rich, user-friendly and functional. Please visit this fully operational live demo site to see what it can do for you.

Anúncios EZ Plugin para o Google AdSense é uma versão especializada do Google AdSense Ultra, que permite gerenciar em base, padrão e modos de peritos, tudo em uma interface moderna lindamente projetado.

Características

  • Visualização rica e opções de alinhamento.
  • O controle sobre o posicionamento e visualização de blocos de anúncios em cada post ou página.
  • Interface do Google personalizada com seletores de cores.
  • Widgets para sua barra lateral.
  • Belamente projetado, totalmente sensível, interface intuitiva.
  • Edição em linha e economia imediata de suas opções com AJAX (não mais do formulário de envio / atualizar etc.)
  • Um passeio de interface para se familiarizar com as características do plugin e disposição.
  • Ajuda Popover para cada opção no plugin.
  • Capacidade de gerar a interface do plugin como uma aba / janela separada independente da interface de administração do WordPress.
  • Base de código robusto e modelos de opção / objeto.

Versão Pro

Anúncios EZ Plugin para o Google AdSense é a versão distribuída livremente de um plugin prémio. O Versão Ultra dá-lhe ainda mais recursos.

  • Filtro de conteúdos Seguro: Para garantir que seus anúncios do Google AdSense mostram apenas nas páginas que parecem cumprir com as políticas do Google AdSense, o que pode ser importante, pois alguns comentários podem tornar suas páginas inconsistentes com as políticas.
  • Filtro IP: Habilidade para especificar uma lista de computadores onde os seus anúncios não serão exibidos, para evitar cliques acidentais em seus próprios anúncios -- uma das principais razões AdSense proíbe você. Esses recursos irão minimizar a sua chance de ser banido.
  • O modo de compatibilidade: Para resolver a questão da inserção de anúncios bagunçar suas aparições na página ao usar alguns temas.
  • Categoria / Posto de Controle: Capacidade de suprimir anúncios em categorias específicas, posts e páginas.
  • Suporte Shortcode: Mostrar os anúncios apenas em páginas ou posts que você quer, e exatamente onde você quer que eles.
  • Suporte Móvel: Habilidade para mostrar diferentes conjuntos de anúncios em dispositivos móveis, ou para suprimir os anúncios.
  • Trechos: Capacidade de mostrar um número configurável de anúncios em Trechos (que compõem a página inicial em alguns temas).
  • Conjuntos de opções: Vários conjuntos de opções podem ser definidas e facilmente trocados entre.
  • Suspender Ads: Capacidade de suprimir temporariamente a veiculação de anúncios.
  • Temas interface de administração: Vários esquemas de cores para a interface de administração.
  • Veiculação de anúncios Statistics: Fique de olho no seu anúncio que serve estatísticas para se certificar de que o Google não está enganando a você. (Módulo opcional pago)
  • Básico Modos / Expert: Você pode optar por operá-lo em modos básicos ou de especialistas, além do modo padrão.

Os custos Ultra versão $9.45 e pode ser compra on-line com link para download imediato.

Instalação

Searching

The easiest way to install this plugin is to use the WordPress Admin interface. Go to your admin dashboard, find the "Plugins" menu, e clique em "Add New". Search for this plugin and click on "Install Now" and follow the WordPress instructions.

Uploading

If you want to download it and manually install, you can again use the WordPress dashboard interface. First download the plugin zip file to your local computer. Then go to your admin dashboard, find the "Plugins" menu, e clique em "Add New". After clicking on the "Add New" menu item as above, click on "Carregar" (below the title "Install Plugins" perto do topo). Browse for your downloaded zip file, upload it and activate the plugin.

Using Plugin Interface

Further updates (and Pro upgrades and module installations) to the plugin can be done easily from the plugin admin page itself, by clicking on the Updates button on the top right corner.

Para instalar a versão profissional do plugin, por favor deactivage a versão Lite (se houver) primeiro. Em seguida, fazer o upload do arquivo zip que você baixar após a compra, usando a interface de administração do WordPress mostrado abaixo.

[install]

O plugin é atualizado Também, seguindo o mesmo processo, de preferência, a partir da página do plugin de administração, onde você verá um formulário de upload de arquivo quando uma atualização estiver pronto. A primeira atualização para o seu plugin compra é sempre livre.

Imagens

  1. Anúncios EZ Plugin para o Google AdSense "Overview" guia & nbsp;. & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 1
  2. Como configurar as opções de anúncios EZ Plugin para o Google AdSense. & Nbsp; & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 2
  3. A configuração avançada do plugin. & Nbsp; & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 3
  4. Opções para apoiar a segurança, compatibilidade, dispositivos móveis e categoria / Controle de pós. & nbsp; & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 4

Change Log

  • V4.20: Compatibility with WP4.8. Sunset edition. [Agosto 1, 2017]
  • V4.10: Compatibilidade com WP4.6. Muitas correções acumuladas e mudanças. Liberar a versão do sol. [Outubro 12, 2016]
  • V4.00: Compatibility with WP4.5. [Abril 12, 2016]
  • V3.98: Improvements in the Google Translator interface. Compatibility with multisite installaton of subdomain type. [Fevereiro 28, 2016]
  • V3.97: Minor interface and documentation changes. [Fevereiro 25, 2016]
  • V3.95: Work-around for servers that refuse to save ad code because of the script tag. [Fevereiro 18, 2016]
  • V3.94: Restricting Google Translate not to translate user-editable strings. Optimizing screenshots. [Fevereiro 7, 2016]
  • V3.94: Ensuring widget titles can be suppressed in Easy AdSense. [Janeiro 27, 2016]
  • V3.93: Adding diagnostic information on the update page. [Janeiro 20, 2016]
  • V3.92: Changes to make the plugin compatible with multisite installations. [Janeiro 14, 2016]
  • V3.91: Adding a dev-friendly include to introduce local settings, se houver. [Dezembro 30, 2015]
  • V3.90: Compatibility with WordPress 4.4. [Dezembro 5, 2015]
  • V3.82: Making the admin menu dynamic (optionally) in standalone mode. Improving DB layer error handling. [Novembro 29, 2015]
  • V3.81: Advertência sobre PHP exigência V5.4 na página de administração. [Novembro 8, 2015]
  • V3.80: Admin pages in your language using Google translation. [Outubro 22, 2015]
  • V3.73: Renaming the Mobile_Detect class for compatibility. [Outubro 14, 2015]
  • V3.72: Improving the speed of admin page loading. [Setembro 30, 2015]
  • V3.71: Killing the option to allow update checks. [Setembro 26, 2015]
  • V3.70: Changes to make the plugin work on nginx and Microsoft servers. [Setembro 20, 2015]
  • V3.64: Ensuring usability on touch-screen devices. [Setembro 17, 2015]
  • V3.63: Reinstating the option to force the admin page loading, moving to a less colorful default theme. [Setembro 14, 2015]
  • V3.62: Alterações de refatoração Menores. [Setembro 12, 2015]
  • V3.61: Adding the missing EzPlugin.php.[Setembro 9, 2015]
  • V3.60: Removing WP core file loading. [Setembro 4, 2015]
  • V3.52: Fixing a minor error in text-wrapping around the bottom ad. [Agosto 20, 2015]
  • V3.51: Ensuring plugin admin files can be loaded in an iFrame. [Agosto 19, 2015]
  • V3.50: Compatibility with WordPress 4.3. [Agosto 10, 2015]
  • V3.42: Fixing the "Database Replace/Insert Error" that affected some servers. [Agosto 8, 2015]
  • V3.41: Fixing a bug in mobile detection. [Agosto 1, 2015]
  • V3.40: The plugin now remembers the last used tab. SQL schema change for better compatibility. Fixing a bug that may have caused the plugin not to display ads on some pages/posts. New option to control mid-text ad position in pro version. [Julho 30, 2015]
  • V3.35: Minor improvements in setup, plugin active status check and AJAX functions. [Julho 26, 2015]
  • V3.34: Minor changes in links. [Junho 25, 2015]
  • V3.33: Apenas mudanças de documentação. [Junho 18, 2015]
  • V3.32: Admin page improvements. [Maio 22, 2015]
  • V3.31: Admin page compatibility checks and improvements. [Maio 12, 2015]
  • V3.30: Compatibility with WordPress 4.2. [Abril 25, 2015]
  • V3.23: Preparing the codebase for the release of AJAX AdSense. [Abril 17, 2015]
  • V3.22: Improvements in the admin dashboard. [Abril 14, 2015]
  • V3.21: Improvements in the admin dashboard. [Abril 14, 2015]
  • V3.20: Launching a demo site. [Abril 11, 2015]
  • V3.19: More changes in the compatibility check. [Abril 7, 2015]
  • V3.18: Fixing a style that may have caused the admin page not to appear on some blogs. [Abril 4, 2014]
  • V3.17: Mais verificações de compatibilidade. [Abril 2, 2015]
  • V3.16: Pequenas correções. [Como 27, 2015]
  • V3.15: Fixing a bug that prevented custom fields from working properly. [Como 26, 2015]
  • V3.14: Minor bug fix on ad suppression while not in loop. [Como 25, 2015]
  • V3.13: Adding error handling for updates. [Como 24, 2015]
  • V3.12: Serious bug fix related to multiple passes of the content filter. Introducing a verbosity option. [Como 22, 2015]
  • V3.11: Pequenas correções de bugs, and adding diagnostic comments. [Como 21, 2015]
  • V3.10: This twitter-bootstrap version of the plugin is now feature-complete. [Como 19, 2015]
  • V3.09: Adding information about how to revert to the non-AJAX version of the plugin. [Como 16, 2015]
  • V3.08: Documentation and usability enhancements. [Como 13, 2015]
  • V3.07: Documentation and usability enhancements. [Como 11, 2015]
  • V3.06: More changes for compatibility with PHP5.30. [Como 11, 2015]
  • V3.04: Melhorias nas funções de verificação de login. Various accumulated fixes. [Como 9, 2015]
  • V3.03: Killing anonymous functions for compatibility with PHP versions older than 5.3. [Como 8, 2015]
  • V3.02: Changes to the activation validation checks. [Como 7, 2015]
  • V3.01: Modifications to the update module. Minor code clean up. [Como 5, 2015]
  • V3.00: Complete rewrite of the plugin with a lot more features. Admin page based on the twitter bootstrap framework. [Como 3, 2015]
  • V2.50: Compatibility with WP4.1. [Janeiro 8, 2015]
  • V2.40: Renaming the plugin as requested by Google. [Novembro 30, 2014]
  • V2.30: Automatic options migration upon plugin activation. [Setembro 26, 2014]
  • V2.22: Minor change to the admin interface. [Setembro 9, 2011]
  • V2.21: Compatibilidade com WP4.0. [Setembro 8, 2014]
  • V2.20: Compatibilidade com WP4.0. [Setembro 7, 2014]
  • V2.12: Traduções Atualizando, correções de bugs. [Julho 17, 2014]
  • V2.11: Correção de bugs. [Maio 8, 2014]
  • V2.10: Internacionalização e compatibilidade com WP3.9. [Maio 7, 2014]
  • V2.00: Principais mudanças ao projeto -- a adição de um interface de tradução, se preparando para mudar manuseio opções. [Como 22, 2014]
  • V1.81: Adicionando opções para suprimir anúncios na primeira página pegajoso ou páginas de pesquisa. [Janeiro 5, 2013]
  • V1.80: Verificações de compatibilidade para WordPress V3.8. Correções de bugs em opções de migração. [Dezembro 18, 2013]
  • V1.70: Verificações de compatibilidade para WordPress v3.7. [Novembro 11, 2013]
  • V1.60: Compatibilidade com WP3.6. [Agosto 10, 2013]
  • V1.50: Adding an admin page translator. [Maio 22, 2013]
  • V1.46: Correções de bugs (Erro fatal: Chame-time passar por referência foi removido). [Janeiro 24, 2013]
  • V1.45: Bug fix. [Dezembro 22, 2012]
  • V1.44: Fazer cumprir a política do Google sobre o número de anúncios, e fazer a entrada pub-id flexível. [Novembro 4, 2012]
  • V1.43: Minor changes to validate the readme.txt. [Outubro 21, 2012]
  • V1.42: Minor changes to validate the readme.txt. [Outubro 21, 2012]
  • V1.41: Initial public release of the lite version. [Outubro 21, 2012]
  • V1.40: Modificações interface de administração. [Setembro 30, 2012]
  • V1.31: Cuidar de alguns avisos de depuração do modo de depuração WordPress. [Agosto 28, 2012]
  • V1.30: Initial public listing at WordPress.org. [Julho 18, 2012]
  • V1.20: Correções de bugs, codificação de melhorias. [Setembro 9, 2011]
  • V1.00: Versão inicial. [Novembro 15, 2010]

Perguntas Frequentes

Como posso controlar a aparência dos blocos de anúncios usando CSS?

Tudo <div>s that Ads EZ Plugin for Google AdSense creates have the class attribute adsense. Além disso, terem atributos de classe como adsense-top, adsense-bottom etc, Você pode definir o estilo para essas classes em seu tema style.css para controlar sua aparência.

Posso controlar como os blocos de anúncios são formatados em cada página?

Sim! In Ads EZ Plugin for Google AdSense, você tem mais opções [através custom fields] para controlar blocos de anúncios em posts individuais / páginas. Adicionar campos personalizados com teclas como adsense-top, adsense-middle, adsense-bottom e com valores como esquerda, direito, center ou não ter o controle como os blocos de anúncios aparecem em cada post ou página. O valor de "não" suprime todos os blocos de anúncios do post ou página por um prestador de.

Como faço para usar códigos de acesso?

In the Pro version of this plugin, you can control the ad placements using the shortcode [adsense] em seus posts e páginas do blog. If you would like to place your ads using shortcodes, please enable it on the Pro page.

Por padrão, apenas esses anúncios especificados pelo código abreviado será exibido (when shortcodes are enabled). You can specify how the plugin handles shortcode priority using a drop-down menu. You have these choices:

  • Do auto placements if shortcode is missing
  • Do not place any ads if shortcode is missing
  • Always ignore shortcodes and do only auto placement
  • Do not place any ads in posts/pages

The last option effectively disables the plugin for the body of posts and pages, deixando os widgets não afetado.

I don't understand the Pro features. Pornografia e local bloco - can't you set those during Asdense ad setup?

O que você tem no AdSense é a capacidade de bloquear anúncios de determinados sites. Por exemplo, Se você não gosta de anúncios a partir de meu site "thulasidas.com", você pode bloqueá-los. Qual a versão Pro oferece é a capacidade de bloquear anúncios para determinados clientes. Isso é, se você não quer que os visitantes de determinados endereços IP ver os seus anúncios (porque eles podem clicar em muitos deles, se a sua conta do Google AdSense proibido, por exemplo), você pode com meu plugin.

Porn bloco também é semelhante -- Google permite que você escolha anúncios não-pornográficos (Eu acho que). O meu plugin faz é olhar para o conteúdo da sua página, e bloquear anúncios se parece com uma página pornô. (Isso pode acontecer se um spammer envia uma espécie de pornografia de comentário em seu blog, que por sua vez pode ter sua conta banida AdSense.)

How do I report a bug or ask a question?

Please report any problems, and share your thoughts and comments at the plugin forum at WordPress Ou entre em contato comigo.

Se você tem uma pergunta ou comentário sobre a versão Pro, por favor, não use o fórum hospedado no WordPress.org, mas contato com o autor do plugin usando o nosso portal de suporte.

Can I go back to the previous version of the plugin? I don't like the modern bootstrap/AJAX interface.

You can download the previous version e instalá-lo. First deactivate and delete the latest version of the plugin, and then follow the Uploading method under the Instalação section of this document. The new version uses an completely different options model, and your old options are left intact in your database, so that you can go back anytime.

Why do I get error message saying something about direct access to plugin files?

This plugin admin interface is designed with a loosely coupled architecture, which means it interacts with the WordPress core only for certain essential services (login check, plugin activation status, database access etc). Loosely coupled systems tend to be more robust and flexible than tightly integrated ones because they make fewer assumptions about each other. My plugin admin pages are fairly independent, and do not pollute the global scope or leak the style directives or JavaScript functions. In order to achieve this, they are loaded in iFrames within the WordPress admin interface.

Your web server needs direct access to the plugin files to load anything in an iFrame. Some aggressive security settings block this kind of access, usually through an .htaccess file in your wp-content ou plugins folders, which is why this plugin gives a corresponding error message if it detects inability to access the files (checked through a file_get_contents call on a plugin file URL). But some systems implement further blocks specifically on file_get_contents or on iFrames with specific styles (usando mod_securty rules, por exemplo), which is why the plugin provides a means to override this auto-detection and force the admin page.

Is the direct access to plugin files a security hole?

Note that it is only your own webserver that needs direct access to the PHP files. The reason for preventing such access is that a hacker might be able to upload a malicious PHP (or other executable script) to your web host, which your webserver will run if asked to. Such a concern is valid only on systems where you explicitly permit unchecked file uploads. Por exemplo, if anyone can upload any file to your media folder, and your media folder is not protected against direct access and script execution, you have given the potential hacker an attack vector. This plugin has no upload facility, so allowing your webserver to serve the plugin admin files in an iFrame is completely safe, in my judgement.

WP-Plus

WP PlusEste e outros plugins podem ser instaladas e gerenciadas sem problemas usando WP-Mais -- a próxima geração do WordPress, desenvolvido para o blogueiro profissional que exigem plugins profissionais e temas. Se você é um desenvolvedor de plug-in profissional ou um blogger (Aquele que espera fazer uma vida fora dos blogs ou developement relacionados a blogs), que confira!
Consulte também:  Outros plugins
Se você gosta de meus esforços de plugin, por favor, deixe um comentário com seu login do Facebook abaixo.
Se precisar de ajuda, utilize o nosso portal de suporte vez. & Nbsp;ezSupport Portal
[Orgulhosamente trazido a você por EZ PagarPal.]

Comentários